import type { ExtractPropTypes, PropType, VNodeChild } from 'vue';
declare const stepsProps: {
    steps: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    size: {
        type: PropType<"small" | "default">;
    };
    strokeColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    trailColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    type: import("vue-types").VueTypeDef<"circle" | "line" | "dashboard">;
    percent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    format: {
        type: PropType<(percent?: number, successPercent?: number) => VNodeChild>;
    };
    status: import("vue-types").VueTypeDef<"normal" | "active" | "success" | "exception">;
    showInfo: import("vue-types").VueTypeValidableDef<boolean>;
    strokeWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    strokeLinecap: import("vue-types").VueTypeDef<"square" | "butt" | "round">;
    width: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    success: {
        type: PropType<import("./props").SuccessProps>;
        default: () => import("./props").SuccessProps;
    };
    gapDegree: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    gapPosition: import("vue-types").VueTypeDef<"left" | "right" | "bottom" | "top">;
    successPercent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
};
export declare type StepsProps = Partial<ExtractPropTypes<typeof stepsProps>>;
declare const _default: import("vue").DefineComponent<{
    steps: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    size: {
        type: PropType<"small" | "default">;
    };
    strokeColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    trailColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    type: import("vue-types").VueTypeDef<"circle" | "line" | "dashboard">;
    percent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    format: {
        type: PropType<(percent?: number, successPercent?: number) => VNodeChild>;
    };
    status: import("vue-types").VueTypeDef<"normal" | "active" | "success" | "exception">;
    showInfo: import("vue-types").VueTypeValidableDef<boolean>;
    strokeWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    strokeLinecap: import("vue-types").VueTypeDef<"square" | "butt" | "round">;
    width: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    success: {
        type: PropType<import("./props").SuccessProps>;
        default: () => import("./props").SuccessProps;
    };
    gapDegree: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    gapPosition: import("vue-types").VueTypeDef<"left" | "right" | "bottom" | "top">;
    successPercent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    steps?: unknown;
    size?: unknown;
    strokeColor?: unknown;
    trailColor?: unknown;
    prefixCls?: unknown;
    type?: unknown;
    percent?: unknown;
    format?: unknown;
    status?: unknown;
    showInfo?: unknown;
    strokeWidth?: unknown;
    strokeLinecap?: unknown;
    width?: unknown;
    success?: unknown;
    gapDegree?: unknown;
    gapPosition?: unknown;
    successPercent?: unknown;
} & {
    success: import("./props").SuccessProps;
    prefixCls: string;
    percent: number;
    strokeWidth: number;
    strokeColor: string;
    trailColor: string;
    width: number;
    gapDegree: number;
    steps: number;
    successPercent: number;
} & {
    type?: "circle" | "line" | "dashboard";
    size?: "small" | "default";
    format?: (percent?: number, successPercent?: number) => VNodeChild;
    status?: "normal" | "active" | "success" | "exception";
    showInfo?: boolean;
    strokeLinecap?: "square" | "butt" | "round";
    gapPosition?: "left" | "right" | "bottom" | "top";
}>, {
    success: import("./props").SuccessProps;
    prefixCls: string;
    percent: number;
    strokeWidth: number;
    strokeColor: string;
    trailColor: string;
    width: number;
    gapDegree: number;
    steps: number;
    successPercent: number;
}>;
export default _default;
